<template>
  <div class="project-skill">
    <div class="project-block"></div>
    <p class="theme-min-headline">项目技术研发</p>

    <div class="container">
      <span class="title">1.系统架构图及简要说明:</span>
      <div class="ctx-container">
        <span
          >本项目基于三维可视化虚拟现实场景
          及人物建模技术，从校园实景及历史照片中提取关键场景特色要素，在虚拟空间中对这些场景进行建模，并根据冯秉铨先生
          的肖像照片重建 3D 数字人物;以 web为基
          本交互平台，借助虚拟现实环境实时交互技术，以鼠标、键盘、麦克风、虚拟现实头显和手柄为交互工具，实现学生与虚拟场景中的冯先生的虚拟交谈，构建高沉浸感、高真实度、高接受度的思政在线实验
          平台。</span
        >
        <div class="item">系统架构如下</div>
        <div class="image-container">
          <img src="@/assets/skill.jpg" alt="" />
        </div>
        <span>
          可见，本系统架构可依次分为四个层级，除了第一层级，层级之间依次衔接，整体构成完整的框架，以支撑具体的虚拟仿真实验教学内容。以下将按照从下至上的顺序阐述各层级的设计目的和内容。
        </span>
        <div class="item">
          （1）模型层
        </div>
        <span
          >模型层主要负责管理虚拟实验的单体
          模型、人物模型、背景环境及各自的属性，
          包括色彩、材质、动作等。虚拟实验设计
          的模型主要包括具体的校园场景和其中的
          构筑物，如西湖和湖畔一隅的亭子、百步
          梯和其两侧环境、老校训石实景和其背景 环境;以及冯秉铨先生的 3D
          数字人物。</span
        >
        <div class="item">（2）运动仿真层</div>
        <span
          >运动仿真层是系统中控制和管理与运 动相关的实验操作的层级。包括场景之间
          的跳转、虚拟摄像头的切换、背景环境的
          动态、数字人物与学生交谈时的动作与语 言。</span
        >
        <div class="item">
          （3）虚拟实验内容层
        </div>
        <span>
          虚拟实验内容层是系统的核心层级， 主要负责管理实验操作的衔接逻辑和内容
          呈现。包括总体流程的实现、流程子环节
          的实现，每个环节中的具体步骤实现、每 一步骤中的实验内容实现。
        </span>
        <div class="item">
          （4）交互层
        </div>
        <span
          >交互层涵盖了所有用户进行虚拟实验 所需的所有交互工具和要素，用户通过交
          互层，可接收其它层级传递的实验相关信
          息，并输出自己的实验数据。包括作为交 互基础平台的 web
          端交互界面、作为基本 交互工具的鼠标和键盘、作为进阶交互工
          具的虚拟现实头显和虚拟现实手柄，以及 后台实现交互的逻辑代码。</span
        >
      </div>
    </div>
    <div class="container">
      <span class="title">2.其他说明:</span>
      <div class="image-container">
        <img src="@/assets/skill_1.png" width="500px" alt="" />
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "projectSkill",
  data() {
    return {
      tableData: [
        {
          skill: "3D仿真技术",
          tool: "Unity3d",
          quality: "单场景模型总数"
        },
        {
          skill: "VR技术",
          tool: "Unity3d",
          quality: "贴图分辨率"
        }
      ]
    };
  }
};
</script>
<style lang="scss" scoped>
.container {
  text-align: left;
  line-height: 1.5;
  margin-bottom: 20px;
  .title {
    font-size: 24px;
    font-weight: bold;
  }
  .ctx-container {
    display: flex;
    flex-direction: column;
    span,
    .item {
      text-indent: 2em;
    }
    .item {
      font-size: 18px;
      font-weight: bold;
      margin: 10px 0px;
    }
    .image-container {
      display: flex;
      flex-direction: row;
      margin: 20px 40px;
      img {
        width: 700px;
        margin: auto;
      }
    }
  }
}
</style>
